<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>

	<!-- internal css

		We can apply style to multiple elements with the same tag or as we selected.

		This style can only affect the elements where the internal css is added. -->
	<!-- external css isthe best practice of implementing stylings -->
	<link rel="stylesheet" type="text/css" href="./style.css">

	 <!-- <style type="text/css">
		h1 {
			color: pink !important;
			background-color: gray;
		}
	</style>  -->


</head>
<body>
	<!-- style att changes styling properties of element. Its called Inline styling.

	value of style att are the properties of the element.
	values before the colon (:) are element's properties.
	values after the colon are the values we would like to assign to our property.

	<tag style="property:value;">text</tag> 

	Multiple properties can be changed or assigned in our  inline-style.

	inline-style can become bulky and erratic.

	Its specific to the tag it is attached to.

	It is given more priority over internal style wherein the properties set with inline overrides the properties set via internal style.

	Specificity:
	inline > internal . external

	However, external is the best practice among the implementation.-->


	<!-- inline style sample -->
	<!-- <h1 style="color: red !important;font-size: 100px;">Hello World!</h1> -->

	<!-- nav bar -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>
	<!-- end of navbar -->

	<!-- main content -->
	<h1>Hello World!</h1>
	
	<section id="landing">
		<h2>Welcome to Zuitt!</h2>
		<h3 id="zuitt-motto">Opportunities for Everyone,Everywhere!</h3>
		<img src="https://place-puppy.com/450x450">
		
		<ol id="bootcamp-learning-list">
			<!-- class can be used to add stylings to elements with the same class. Unlike id, it can be implemented to multiple elements. -->
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to Coding Events</li>
		</ol>


	<!-- when assigning a element's id as href for anchor we can navigate to that pasrt of the page -->
	<a href="#top">Back to Top</a>
	</section>


	<section id="register">
		<h2>Register</h2>
	<form>
		<label for="first-name">First Name:</label>
		<input type="text" name="first-name" id="first-name" required autocomplete >

		<label for="last-name">last Name:</label>
		<input type="text" name="last-name" id="last-name" required autocomplete>

		<label for="email">Email:</label>
		<input type="email" name="email" id="email" required autocomplete>

		<button type="submit">Apply Now!</button>
		</form>
		<a href="#top">Back to Top</a>
	</section>

</body>
</html>